#pragma once

#include <SDL2/SDL_mixer.h>

#include "../COMMON.h"

typedef struct Sound
{
	Mix_Chunk* chunk;
	bool isInit;
} Sound;

bool sound_init(Sound* self, const char* path);
void sound_free(Sound* self);
void sound_play(Sound* self, s32 channel);
